commit:     36edf2200abcd7713604ece57b0d07bf558f53ba
Author:     Wilson Michaels <thebitpit <AT> earthlink <DOT> net>
AuthorDate: Mon Jun 22 15:54:57 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Jun 23 13:18:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36edf220

media-libs/libhdhomerun: Bump to 20200521

Closes: https://bugs.gentoo.org/729158
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Wilson Michaels <thebitpit <AT> earthlink.net>
Closes: https://github.com/gentoo/gentoo/pull/16373
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/libhdhomerun/Manifest                   |  1 +
 .../libhdhomerun/libhdhomerun-20200521.ebuild      | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/media-libs/libhdhomerun/Manifest b/media-libs/libhdhomerun/Manifest
index 0102edf0153..e687e180e86 100644
--- a/media-libs/libhdhomerun/Manifest
+++ b/media-libs/libhdhomerun/Manifest
@@ -1,2 +1,3 @@
 DIST libhdhomerun_20150826.tgz 49169 BLAKE2B 
6b780d61624e9cca9ca6afbbcdf91377dc134782ee22752c8d92849c6eabac502a3a8a8659035b8a0fd66ae1d7404f6696f78758e0ff4484b46b84ca7282b48f
 SHA512 
9b401c1649dc8c32ea9019b732631f9213cb66c43771aa148fa318202fc11739c005c474be6a77a6a7807818b5179f77debb5b2d2411d865cc87bb3d7ab629a6
 DIST libhdhomerun_20190621.tgz 50817 BLAKE2B 
7d4293e38be5283fba5d46cb162ee19d90c30ed63481cd94445a055fa0f80597fdacedd59e35ba4edfb53934ce339e967eb0c42d0ae72289ce7d39eb1f91cd50
 SHA512 
d15c5b0703bf8ca1f3979a8cad93fc33d87c1309367ad5117354c60112a5505d90e80d4bf9055d16b0eef2b892015c5f4886e6544178090b3550c3a8dbd86576
+DIST libhdhomerun_20200521.tgz 51014 BLAKE2B 
bca7c09afd16dae9177cf8b8c828827818acf8bc24eff404591178519bd1b568bb8689721b452bf23ae5b37143cf85aa6fbce52177fcfbafcd5e30e6f1ceafce
 SHA512 
ac253923b531a8e1f714b7fb98da5a2a062144c045117a63e5bb16b33a49ccafcffd24f5520d412d15ca55bc1810fc0ecb9ad05e2d7f5a196b5439b4e28d5c23

diff --git a/media-libs/libhdhomerun/libhdhomerun-20200521.ebuild 
b/media-libs/libhdhomerun/libhdhomerun-20200521.ebuild
new file mode 100644
index 00000000000..5e91bd25dfd
--- /dev/null
+++ b/media-libs/libhdhomerun/libhdhomerun-20200521.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="SiliconDust HDHomeRun Utilties"
+HOMEPAGE="https://www.silicondust.com/support/linux/";
+SRC_URI="https://download.silicondust.com/hdhomerun/${PN}_${PV}.tgz";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=(
+       "${FILESDIR}/20190621-use_shared_library.patch"
+)
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+       default
+       #Remove forced optimization from Makefile
+       sed -i 's:-O2::' Makefile || die "Was the Makefile changed?"
+}
+
+src_compile() {
+       emake CC=$(tc-getCC) STRIP=:
+}
+
+src_install() {
+       dobin hdhomerun_config
+       dolib.so libhdhomerun.so
+
+       insinto /usr/include/hdhomerun
+       doins *.h
+}

Reply via email to